using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace JuSNS.Web.user.share
{
    public partial class ShareCommonality : JuSNS.UI.Page.UserPage
    {
        public string ShareType = string.Empty;
        public string sTitle = string.Empty;
        public string sTitle1 = string.Empty;
        public string shareID = string.Empty;
        public string Url = string.Empty;
        public string ShareContent = string.Empty;
        public int sUserID = 0;
        public string linkto = string.Empty;
        public string SourceURL = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            sUserID = UserID;
            ShareType = Request.QueryString["type"];
            sTitle = Request.QueryString["title"];
            shareID = Request.QueryString["Id"];
            Url = Request.QueryString["url"];
            if (Url != string.Empty && Url!=null)
            {
                SourceURL = "<a href=\"" + Url + "\">详细...</a>";
            }
            ShareContent = Request.QueryString["content"];
            string linkUserID = Request.QueryString["linkUserID"];
            string tmps = "1";
            if (!string.IsNullOrEmpty(ShareType))
            {
                switch (ShareType)
                {
                    case "1":
                        tmps = "1";
                        break;
                    case "2":
                        tmps = "2";
                        break;
                    case "3":
                        tmps = "3";
                        break;
                    case "4":
                        tmps = "4";
                        break;
                    case "5":
                        tmps = "5";
                        break;
                    case "6":
                        tmps = "6";
                        break;
                    case "7"://分享新闻
                        tmps = "7";
                        break;
                    case "8":
                        tmps = "8";
                        break;
                    default:
                        tmps = "9";
                        break;
                }
                linkto = rooDir + "/home/share/links.aspx?Id=" + shareID + "&type=" + tmps + "&userid=1";
            }
            else
            {
                Response.Write("错误参数!!");
                Response.End();
            }
        }
    }
}
